QVBoxLayout(3qt)

NAME
QVBoxLayout - Lines up widgets vertically

SYNOPSIS
#include <qlayout.h>

Inherits QBoxLayout.

  Public Members
QVBoxLayout ( QWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )
QVBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )
QVBoxLayout ( int spacing = -1, const char * name = 0 )
~QVBoxLayout ()

DESCRIPTION
The QVBoxLayout class lines up widgets vertically.

This class is used to construct vertical box layout objects. See QBoxLayout for more details.

The simplest use of the class is like this:

        QBoxLayout * l = new QVBoxLayout( widget );
        l->addWidget( aWidget );
        l->addWidget( anotherWidget );

<center>
[Image Omitted]

</center>

See also QHBoxLayout, QGridLayout, the Layout overview, Widget Appearance and Style, and Layout Management.

MEMBER FUNCTION DOCUMENTATION

QVBoxLayout::QVBoxLayout ( QWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )
Constructs a new top-level vertical box called name, with parent parent.

The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

QVBoxLayout::QVBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )
Constructs a new vertical box called name name and adds it to parentLayout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QVBoxLayout will inherit its parent's spacing().

QVBoxLayout::QVBoxLayout ( int spacing = -1, const char * name = 0 )
Constructs a new vertical box called name name. You must add it to another layout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this QVBoxLayout will inherit its parent's spacing().

QVBoxLayout::~QVBoxLayout ()
Destroys this box layout.

The layout's widgets aren't destroyed.

SEE ALSO
http://doc.trolltech.com/qvboxlayout.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qvboxlayout.3) and the Qt version (3.3.4).